Changeset 3098


Ignore:
Timestamp:
Nov 21, 2013 2:55:45 PM (6 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
ThirdParty/Lapack/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/Makefile.am

    r2999 r3098  
    171171libcoinlapack_la_SOURCES = $(LAPACK_FILES)
    172172
     173if DEPENDENCY_LINKING
     174libcoinlapack_la_LIBADD = $(LAPACKLIB_LIBS)
     175endif
     176
    173177libcoinlapack_la_LDFLAGS = $(LT_LDFLAGS)
    174178
  • ThirdParty/Lapack/trunk/Makefile.in

    r2888 r3098  
    7878libLTLIBRARIES_INSTALL = $(INSTALL)
    7979LTLIBRARIES = $(lib_LTLIBRARIES)
    80 libcoinlapack_la_LIBADD =
     80am__DEPENDENCIES_1 =
     81@DEPENDENCY_LINKING_TRUE@libcoinlapack_la_DEPENDENCIES =  \
     82@DEPENDENCY_LINKING_TRUE@       $(am__DEPENDENCIES_1)
    8183am__objects_1 = dbdsqr.lo dgebal.lo dgebak.lo dgebd2.lo dgebrd.lo \
    8284        dgeev.lo dgehd2.lo dgehrd.lo dgelq2.lo dgelqf.lo dgels.lo \
     
    98100        dorgtr.lo dorm2r.lo dormbr.lo dormhr.lo dorml2.lo dormlq.lo \
    99101        dormql.lo dormqr.lo dormtr.lo dorm2l.lo dpotf2.lo dpotrf.lo \
    100         dpotrs.lo dstebz.lo dstein.lo dstemr.lo dsteqr.lo dsterf.lo \
    101         dsyev.lo dsyevr.lo dsyevx.lo dsytd2.lo dsytf2.lo dsytrd.lo \
    102         dsytrf.lo dsytri.lo dtgevc.lo dtrevc.lo dtrexc.lo dtrti2.lo \
    103         dtrtri.lo dtrtrs.lo ieeeck.lo iladlc.lo iladlr.lo ilaenv.lo \
    104         iparmq.lo sgetf2.lo sgetrf.lo slamch.lo slaswp.lo zgetf2.lo \
    105         zgetrf.lo zlacgv.lo zlacpy.lo zlaev2.lo zlaswp.lo zpotf2.lo \
    106         zrot.lo zsymv.lo zsyr.lo zsytri.lo
     102        dpotrs.lo dppsv.lo dpptrf.lo dpptrs.lo dstebz.lo dstein.lo \
     103        dstemr.lo dsteqr.lo dsterf.lo dsyev.lo dsyevr.lo dsyevx.lo \
     104        dsytd2.lo dsytf2.lo dsytrd.lo dsytrf.lo dsytri.lo dtgevc.lo \
     105        dtrevc.lo dtrexc.lo dtrti2.lo dtrtri.lo dtrtrs.lo ieeeck.lo \
     106        iladlc.lo iladlr.lo ilaenv.lo iparmq.lo sgetf2.lo sgetrf.lo \
     107        slamch.lo slaswp.lo zgetf2.lo zgetrf.lo zlacgv.lo zlacpy.lo \
     108        zlaev2.lo zlaswp.lo zpotf2.lo zrot.lo zsymv.lo zsyr.lo \
     109        zsytri.lo
    107110am_libcoinlapack_la_OBJECTS = $(am__objects_1)
    108111libcoinlapack_la_OBJECTS = $(am_libcoinlapack_la_OBJECTS)
     
    177180DEFS = @DEFS@
    178181DEPDIR = @DEPDIR@
     182DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     183DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    179184DLAMCH_FFLAGS = @DLAMCH_FFLAGS@
    180185ECHO = @ECHO@
     
    407412        dpotrf.f \
    408413        dpotrs.f \
     414        dppsv.f \
     415        dpptrf.f \
     416        dpptrs.f \
    409417        dstebz.f \
    410418        dstein.f \
     
    448456
    449457libcoinlapack_la_SOURCES = $(LAPACK_FILES)
     458@DEPENDENCY_LINKING_TRUE@libcoinlapack_la_LIBADD = $(LAPACKLIB_LIBS)
    450459libcoinlapack_la_LDFLAGS = $(LT_LDFLAGS)
    451460pkgconfiglibdir = $(libdir)/pkgconfig
  • ThirdParty/Lapack/trunk/configure

    r2985 r3098  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion LAPACK_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED LAPACKLIB_CFLAGS LAPACKLIB_LIBS LAPACKLIB_PCLIBS LAPACKLIB_PCREQUIRES LAPACKLIB_DEPENDENCIES LAPACKLIB_CFLAGS_INSTALLED LAPACKLIB_LIBS_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE DLAMCH_FFLAGS EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion LAPACK_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED LAPACKLIB_CFLAGS LAPACKLIB_LIBS LAPACKLIB_PCLIBS LAPACKLIB_PCREQUIRES LAPACKLIB_DEPENDENCIES LAPACKLIB_CFLAGS_INSTALLED LAPACKLIB_LIBS_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE DLAMCH_FFLAGS EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-lapack compile project Lapack with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --disable-pkg-config    disable use of pkg-config (if available)
    10901087  --disable-interpackage-dependencies
     
    18891886
    18901887# Get the name of the Fortran compiler and appropriate compiler options
    1891 case $build in
     1888
     1889
     1890  # for backward compatibility
     1891  # Check whether --enable-doscompile or --disable-doscompile was given.
     1892if test "${enable_doscompile+set}" = set; then
     1893  enableval="$enable_doscompile"
     1894  enable_doscompile=$enableval
     1895else
     1896  enable_doscompile=no
     1897fi;
     1898
     1899  # Check whether --enable-msvc or --disable-msvc was given.
     1900if test "${enable_msvc+set}" = set; then
     1901  enableval="$enable_msvc"
     1902  enable_msvc=$enableval
     1903else
     1904  enable_msvc=no
     1905     if test "$enable_doscompile" = msvc ; then
     1906       enable_msvc=yes
     1907     elif test "$enable_doscompile" != no ; then
     1908       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1909echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1910   { (exit 1); exit 1; }; }
     1911     fi
     1912
     1913fi;
     1914
     1915  if test "$enable_msvc" = MD; then
     1916    enable_shared=yes
     1917    enable_msvc=yes
     1918  fi
     1919
     1920  if test "$enable_msvc" = yes; then
     1921    case $build in
     1922      *-cygwin* | *-mingw*) ;;
     1923      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1924echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1925   { (exit 1); exit 1; }; } ;;
     1926    esac
     1927  fi
     1928
     1929
     1930 case $build in
    18921931  *-mingw*)
    18931932    if test "${LD+set}" = set; then :; else
     
    18961935    ;;
    18971936 esac
    1898  case $enable_doscompile in
    1899    msvc)
    1900      if test "x${LD+set}" = xset; then :; else
    1901        LD=link
    1902      fi
    1903      ;;
    1904  esac
    1905 
    1906 
    1907  # Check whether --enable-doscompile or --disable-doscompile was given.
    1908 if test "${enable_doscompile+set}" = set; then
    1909   enableval="$enable_doscompile"
    1910   if test "$enable_doscompile" != no; then
    1911      case $build in
    1912        *-cygwin* | *-mingw*) ;;
    1913        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1914 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1915    { (exit 1); exit 1; }; } ;;
    1916      esac
     1937 if test $enable_msvc = yes ; then
     1938   if test "x${LD+set}" = xset; then :; else
     1939     LD=link
    19171940   fi
    1918 else
    1919   enable_doscompile=no
    1920 fi;
    1921  case "$enable_doscompile" in
    1922    mingw)
    1923      case $build in
    1924        *-mingw*) enable_doscompile=no ;;
    1925      esac
    1926      ;;
    1927    msvc|no) ;;
    1928    yes) enable_doscompile=mingw ;;
    1929    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&5
    1931 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1932                     Try configure --help=recursive." >&2;}
    1933    { (exit 1); exit 1; }; }
    1934       ;;
    1935   esac
    1936   if test "$enable_doscompile" != no ; then
    1937     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1938 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1939   fi
     1941 fi
    19401942
    19411943
     
    19801982case $build in
    19811983  *-cygwin* | *-mingw*)
    1982              if test "$enable_doscompile" = msvc ; then
    1983                comps="icl cl"
     1984             if test "$enable_msvc" = yes ; then
     1985               comps="icl cl gcc"
    19841986             else
    1985                comps="gcc cl"
     1987               comps="gcc icl cl"
    19861988             fi ;;
    19871989  *-*-solaris*)
     
    27812783    fi ;;
    27822784  * )
    2783     CYGPATH_W=echo
     2785    if test x"$CYGPATH_W" = x ; then
     2786      CYGPATH_W=echo
     2787    fi
    27842788    ;;
    27852789esac
     
    28362840            ;;
    28372841        esac
    2838         case $enable_doscompile in
    2839           mingw)
    2840             CFLAGS="-mno-cygwin"
    2841             cat >conftest.$ac_ext <<_ACEOF
    2842 /* confdefs.h.  */
    2843 _ACEOF
    2844 cat confdefs.h >>conftest.$ac_ext
    2845 cat >>conftest.$ac_ext <<_ACEOF
    2846 /* end confdefs.h.  */
    2847 
    2848 int
    2849 main ()
    2850 {
    2851 int i=0; i++;
    2852   ;
    2853   return 0;
    2854 }
    2855 _ACEOF
    2856 rm -f conftest.$ac_objext conftest$ac_exeext
    2857 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2858   (eval $ac_link) 2>conftest.er1
    2859   ac_status=$?
    2860   grep -v '^ *+' conftest.er1 >conftest.err
    2861   rm -f conftest.er1
    2862   cat conftest.err >&5
    2863   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2864   (exit $ac_status); } &&
    2865          { ac_try='test -z "$ac_c_werror_flag"
    2866                          || test ! -s conftest.err'
    2867   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2868   (eval $ac_try) 2>&5
    2869   ac_status=$?
    2870   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2871   (exit $ac_status); }; } &&
    2872          { ac_try='test -s conftest$ac_exeext'
    2873   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2874   (eval $ac_try) 2>&5
    2875   ac_status=$?
    2876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2877   (exit $ac_status); }; }; then
    2878   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2879 else
    2880   echo "$as_me: failed program was:" >&5
    2881 sed 's/^/| /' conftest.$ac_ext >&5
    2882 
    2883 fi
    2884 rm -f conftest.err conftest.$ac_objext \
    2885       conftest$ac_exeext conftest.$ac_ext
    2886             CFLAGS=
    2887           ;;
    2888         esac
    28892842    esac
    28902843  fi
     
    30873040fi
    30883041
    3089 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3090 
    3091 case "$CFLAGS" in
    3092   *-mno-cygwin*)
    3093     if test x${CPPFLAGS+set} != xset ; then
    3094       CPPFLAGS="-mno-cygwin"
    3095     else
    3096       case "$CPPFLAGS" in
    3097         *-mno-cygwin*)
    3098           ;;
    3099         *)
    3100           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3101           ;;
    3102       esac
    3103     fi ;;
    3104 esac
    3105 
    31063042# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    31073043if test x$COIN_PRJCT != x; then
     
    32273163  clang* ) ;;
    32283164  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3229     case $build in
     3165
     3166 case $build in
    32303167  *-mingw*)
    32313168    if test "${LD+set}" = set; then :; else
     
    32343171    ;;
    32353172 esac
    3236  case $enable_doscompile in
    3237    msvc)
    3238      if test "x${LD+set}" = xset; then :; else
    3239        LD=link
    3240      fi
    3241      ;;
    3242  esac
     3173 if test $enable_msvc = yes ; then
     3174   if test "x${LD+set}" = xset; then :; else
     3175     LD=link
     3176   fi
     3177 fi
    32433178
    32443179    ;;
     
    32543189case $build in
    32553190  *-cygwin* | *-mingw*)
    3256      if test "$enable_doscompile" = msvc ; then
    3257        coin_f77_comps="ifort fl32 compile_f2c"
     3191     if test "$enable_msvc" = yes ; then
     3192       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32583193     else
    32593194       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34803415
    34813416# Provide some information about the compiler.
    3482 echo "$as_me:3482:" \
     3417echo "$as_me:3417:" \
    34833418     "checking for Fortran 77 compiler version" >&5
    34843419ac_compiler=`set X $ac_compile; echo $2`
     
    36493584    coin_add_fflags="-pipe"
    36503585    coin_dbg_fflags="-g -O0"
    3651     case $enable_doscompile in
    3652       mingw)
    3653         FFLAGS="-mno-cygwin"
    3654         cat >conftest.$ac_ext <<_ACEOF
    3655       program main
    3656       write(*,*) 'Hello world'
    3657       end
    3658 _ACEOF
    3659 rm -f conftest.$ac_objext conftest$ac_exeext
    3660 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3661   (eval $ac_link) 2>conftest.er1
    3662   ac_status=$?
    3663   grep -v '^ *+' conftest.er1 >conftest.err
    3664   rm -f conftest.er1
    3665   cat conftest.err >&5
    3666   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3667   (exit $ac_status); } &&
    3668          { ac_try='test -z "$ac_f77_werror_flag"
    3669                          || test ! -s conftest.err'
    3670   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3671   (eval $ac_try) 2>&5
    3672   ac_status=$?
    3673   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3674   (exit $ac_status); }; } &&
    3675          { ac_try='test -s conftest$ac_exeext'
    3676   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3677   (eval $ac_try) 2>&5
    3678   ac_status=$?
    3679   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3680   (exit $ac_status); }; }; then
    3681   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3682 else
    3683   echo "$as_me: failed program was:" >&5
    3684 sed 's/^/| /' conftest.$ac_ext >&5
    3685 
    3686 fi
    3687 rm -f conftest.err conftest.$ac_objext \
    3688       conftest$ac_exeext conftest.$ac_ext
    3689         FFLAGS=
    3690       ;;
    3691     esac
    36923586  else
    36933587    case $build in
     
    38673761fi
    38683762
    3869 # If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
    3870 case "$FFLAGS" in
    3871   *-mno-cygwin*)
    3872     if test x${CPPFLAGS+set} != xset ; then
    3873       CPPFLAGS="-mno-cygwin"
    3874     else
    3875       case "$CPPFLAGS" in
    3876         *-mno-cygwin*)
    3877           ;;
    3878         *)
    3879           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3880           ;;
    3881       esac
    3882     fi ;;
    3883 esac
    3884 
    38853763# Try if FFLAGS works
    38863764if test "$F77" != "unavailable" ; then
     
    39813859case "$F77" in
    39823860  ifort* | */ifort* | IFORT* | */IFORT*)
    3983     case $build in
     3861
     3862 case $build in
    39843863  *-mingw*)
    39853864    if test "${LD+set}" = set; then :; else
     
    39883867    ;;
    39893868 esac
    3990  case $enable_doscompile in
    3991    msvc)
    3992      if test "x${LD+set}" = xset; then :; else
    3993        LD=link
    3994      fi
    3995      ;;
    3996  esac
     3869 if test $enable_msvc = yes ; then
     3870   if test "x${LD+set}" = xset; then :; else
     3871     LD=link
     3872   fi
     3873 fi
    39973874
    39983875    ;;
     
    40613938ac_save_FFLAGS=$FFLAGS
    40623939FFLAGS="$FFLAGS $ac_verb"
    4063 (eval echo $as_me:4063: \"$ac_link\") >&5
     3940(eval echo $as_me:3940: \"$ac_link\") >&5
    40643941ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40653942echo "$ac_f77_v_output" >&5
     
    41394016ac_save_FFLAGS=$FFLAGS
    41404017FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4141 (eval echo $as_me:4141: \"$ac_link\") >&5
     4018(eval echo $as_me:4018: \"$ac_link\") >&5
    41424019ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41434020echo "$ac_f77_v_output" >&5
     
    43244201        -lcrt*.o) ;;
    43254202        -lcygwin) ;;
     4203        -lgcc*)   ;;
    43264204               *) my_flibs="$my_flibs $flag" ;;
    43274205      esac
     
    50624940  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    50634941  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    5064   if test -e ../coin_subdirs.txt ; then
     4942  if test -f ../coin_subdirs.txt ; then
    50654943    for i in `cat ../coin_subdirs.txt` ; do
    50664944      if test -d ../$i ; then
     
    50734951  fi
    50744952
    5075   if test -e ../../coin_subdirs.txt ; then
     4953  if test -f ../../coin_subdirs.txt ; then
    50764954    for i in `cat ../../coin_subdirs.txt` ; do
    50774955      if test -d ../../$i ; then
     
    55215399# Try to autodetect the library for blas based on build system
    55225400  #AC_MSG_CHECKING([default locations for BLAS])
    5523   skip_lblas_check=no
    55245401  case $build in
    55255402    *-sgi-*)
     
    63246201
    63256202    *-cygwin* | *-mingw*)
    6326 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    6327 # library will want to link with cygwin, hence won't run standalone in DOS.
    6328       if test "$enable_doscompile" = mingw; then
    6329         skip_lblas_check=yes
    6330       fi
    63316203      case "$CC" in
    63326204        clang* ) ;;
     
    74927364  esac
    74937365
    7494   if test -z "$use_blas" && test $skip_lblas_check = no; then
     7366  if test -z "$use_blas" ; then
    74957367    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    74967368echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    85278399            ;;
    85288400          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    8529             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    8530 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     8401            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     8402echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    85318403            ;;
    85328404          *)
     
    95999471
    96009472LIBTOOL=
    9601 if test -r ../libtool; then
     9473if test -f ../libtool; then
    96029474  coin_config_dir=..
    96039475  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    96049476fi
    96059477if test "x$LIBTOOL" = x; then
    9606   if test -r ../../libtool; then
     9478  if test -f ../../libtool; then
    96079479    coin_config_dir=../..
    96089480    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    1015010022*-*-irix6*)
    1015110023  # Find out which ABI we are using.
    10152   echo '#line 10152 "configure"' > conftest.$ac_ext
     10024  echo '#line 10024 "configure"' > conftest.$ac_ext
    1015310025  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1015410026  (eval $ac_compile) 2>&5
     
    1262712499   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1262812500   -e 's:$: $lt_compiler_flag:'`
    12629    (eval echo "\"\$as_me:12629: $lt_compile\"" >&5)
     12501   (eval echo "\"\$as_me:12501: $lt_compile\"" >&5)
    1263012502   (eval "$lt_compile" 2>conftest.err)
    1263112503   ac_status=$?
    1263212504   cat conftest.err >&5
    12633    echo "$as_me:12633: \$? = $ac_status" >&5
     12505   echo "$as_me:12505: \$? = $ac_status" >&5
    1263412506   if (exit $ac_status) && test -s "$ac_outfile"; then
    1263512507     # The compiler can only warn and ignore the option if not recognized
     
    1289512767   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289612768   -e 's:$: $lt_compiler_flag:'`
    12897    (eval echo "\"\$as_me:12897: $lt_compile\"" >&5)
     12769   (eval echo "\"\$as_me:12769: $lt_compile\"" >&5)
    1289812770   (eval "$lt_compile" 2>conftest.err)
    1289912771   ac_status=$?
    1290012772   cat conftest.err >&5
    12901    echo "$as_me:12901: \$? = $ac_status" >&5
     12773   echo "$as_me:12773: \$? = $ac_status" >&5
    1290212774   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290312775     # The compiler can only warn and ignore the option if not recognized
     
    1299912871   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300012872   -e 's:$: $lt_compiler_flag:'`
    13001    (eval echo "\"\$as_me:13001: $lt_compile\"" >&5)
     12873   (eval echo "\"\$as_me:12873: $lt_compile\"" >&5)
    1300212874   (eval "$lt_compile" 2>out/conftest.err)
    1300312875   ac_status=$?
    1300412876   cat out/conftest.err >&5
    13005    echo "$as_me:13005: \$? = $ac_status" >&5
     12877   echo "$as_me:12877: \$? = $ac_status" >&5
    1300612878   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300712879   then
     
    1541615288  lt_status=$lt_dlunknown
    1541715289  cat > conftest.$ac_ext <<EOF
    15418 #line 15418 "configure"
     15290#line 15290 "configure"
    1541915291#include "confdefs.h"
    1542015292
     
    1551615388  lt_status=$lt_dlunknown
    1551715389  cat > conftest.$ac_ext <<EOF
    15518 #line 15518 "configure"
     15390#line 15390 "configure"
    1551915391#include "confdefs.h"
    1552015392
     
    1787617748   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1787717749   -e 's:$: $lt_compiler_flag:'`
    17878    (eval echo "\"\$as_me:17878: $lt_compile\"" >&5)
     17750   (eval echo "\"\$as_me:17750: $lt_compile\"" >&5)
    1787917751   (eval "$lt_compile" 2>conftest.err)
    1788017752   ac_status=$?
    1788117753   cat conftest.err >&5
    17882    echo "$as_me:17882: \$? = $ac_status" >&5
     17754   echo "$as_me:17754: \$? = $ac_status" >&5
    1788317755   if (exit $ac_status) && test -s "$ac_outfile"; then
    1788417756     # The compiler can only warn and ignore the option if not recognized
     
    1798017852   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1798117853   -e 's:$: $lt_compiler_flag:'`
    17982    (eval echo "\"\$as_me:17982: $lt_compile\"" >&5)
     17854   (eval echo "\"\$as_me:17854: $lt_compile\"" >&5)
    1798317855   (eval "$lt_compile" 2>out/conftest.err)
    1798417856   ac_status=$?
    1798517857   cat out/conftest.err >&5
    17986    echo "$as_me:17986: \$? = $ac_status" >&5
     17858   echo "$as_me:17858: \$? = $ac_status" >&5
    1798717859   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1798817860   then
     
    1955019422   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1955119423   -e 's:$: $lt_compiler_flag:'`
    19552    (eval echo "\"\$as_me:19552: $lt_compile\"" >&5)
     19424   (eval echo "\"\$as_me:19424: $lt_compile\"" >&5)
    1955319425   (eval "$lt_compile" 2>conftest.err)
    1955419426   ac_status=$?
    1955519427   cat conftest.err >&5
    19556    echo "$as_me:19556: \$? = $ac_status" >&5
     19428   echo "$as_me:19428: \$? = $ac_status" >&5
    1955719429   if (exit $ac_status) && test -s "$ac_outfile"; then
    1955819430     # The compiler can only warn and ignore the option if not recognized
     
    1965419526   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1965519527   -e 's:$: $lt_compiler_flag:'`
    19656    (eval echo "\"\$as_me:19656: $lt_compile\"" >&5)
     19528   (eval echo "\"\$as_me:19528: $lt_compile\"" >&5)
    1965719529   (eval "$lt_compile" 2>out/conftest.err)
    1965819530   ac_status=$?
    1965919531   cat out/conftest.err >&5
    19660    echo "$as_me:19660: \$? = $ac_status" >&5
     19532   echo "$as_me:19532: \$? = $ac_status" >&5
    1966119533   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1966219534   then
     
    2186121733   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2186221734   -e 's:$: $lt_compiler_flag:'`
    21863    (eval echo "\"\$as_me:21863: $lt_compile\"" >&5)
     21735   (eval echo "\"\$as_me:21735: $lt_compile\"" >&5)
    2186421736   (eval "$lt_compile" 2>conftest.err)
    2186521737   ac_status=$?
    2186621738   cat conftest.err >&5
    21867    echo "$as_me:21867: \$? = $ac_status" >&5
     21739   echo "$as_me:21739: \$? = $ac_status" >&5
    2186821740   if (exit $ac_status) && test -s "$ac_outfile"; then
    2186921741     # The compiler can only warn and ignore the option if not recognized
     
    2212922001   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2213022002   -e 's:$: $lt_compiler_flag:'`
    22131    (eval echo "\"\$as_me:22131: $lt_compile\"" >&5)
     22003   (eval echo "\"\$as_me:22003: $lt_compile\"" >&5)
    2213222004   (eval "$lt_compile" 2>conftest.err)
    2213322005   ac_status=$?
    2213422006   cat conftest.err >&5
    22135    echo "$as_me:22135: \$? = $ac_status" >&5
     22007   echo "$as_me:22007: \$? = $ac_status" >&5
    2213622008   if (exit $ac_status) && test -s "$ac_outfile"; then
    2213722009     # The compiler can only warn and ignore the option if not recognized
     
    2223322105   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2223422106   -e 's:$: $lt_compiler_flag:'`
    22235    (eval echo "\"\$as_me:22235: $lt_compile\"" >&5)
     22107   (eval echo "\"\$as_me:22107: $lt_compile\"" >&5)
    2223622108   (eval "$lt_compile" 2>out/conftest.err)
    2223722109   ac_status=$?
    2223822110   cat out/conftest.err >&5
    22239    echo "$as_me:22239: \$? = $ac_status" >&5
     22111   echo "$as_me:22111: \$? = $ac_status" >&5
    2224022112   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2224122113   then
     
    2494824820    # Here we need to check if -m32 is specified.  If so, we need to correct
    2494924821    # sys_lib_search_path_spec
     24822    *-cygwin* | *-mingw*)
     24823       case "$CXX" in
     24824    clang* )
     24825      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     24826      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     24827echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     24828      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     24829          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     24830          -e 's|libext="lib"|libext="a"|' \
     24831      libtool > conftest.bla
     24832      ;;
     24833    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     24834      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     24835echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     24836      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     24837          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     24838          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     24839          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     24840          -e 's%lib /OUT:%lib -OUT:%' \
     24841          -e "s%cygpath -w%$CYGPATH_W%" \
     24842          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     24843          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     24844          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     24845          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     24846          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     24847      libtool > conftest.bla
     24848      ;;
     24849    *)
     24850      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     24851echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     24852      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     24853          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     24854          -e 's|libext="lib"|libext="a"|' \
     24855      libtool > conftest.bla
     24856      ;;
     24857  esac
     24858  mv conftest.bla libtool
     24859  chmod 755 libtool
     24860
     24861      ;;
    2495024862    *x86_64-*)
    2495124863      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2498724899      ;;
    2498824900    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    24989     *-cygwin* | *-mingw*)
    24990        case "$CXX" in
    24991     clang* )
    24992       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    24993       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    24994 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    24995       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    24996           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    24997           -e 's|libext="lib"|libext="a"|' \
    24998       libtool > conftest.bla
    24999       ;;
    25000     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    25001       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    25002 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    25003       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    25004           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    25005           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    25006           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    25007           -e 's%lib /OUT:%lib -OUT:%' \
    25008           -e "s%cygpath -w%$CYGPATH_W%" \
    25009           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    25010           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    25011           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    25012           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    25013           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    25014       libtool > conftest.bla
    25015       ;;
    25016     *)
    25017       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    25018 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    25019       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    25020           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    25021           -e 's|libext="lib"|libext="a"|' \
    25022       libtool > conftest.bla
    25023       ;;
    25024   esac
    25025   mv conftest.bla libtool
    25026   chmod 755 libtool
    25027 
    25028       ;;
    2502924901    *-darwin*)
    2503024902      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2513425006# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2513525007
     25008# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     25009if test "${enable_dependency_linking+set}" = set; then
     25010  enableval="$enable_dependency_linking"
     25011  dependency_linking="$enableval"
     25012else
     25013  dependency_linking=no
     25014fi;
     25015
    2513625016# ToDo
    2513725017# For now, don't use the -no-undefined flag, since the Makefiles are
    2513825018# not yet set up that way.  But we need to fix this, when we want
    2513925019# to comile DLLs under Windows.
    25140 LT_LDFLAGS=
     25020if test "$dependency_linking" = yes ;
     25021then
     25022  LT_LDFLAGS="-no-undefined"
     25023else
     25024  LT_LDFLAGS=
     25025fi
     25026
     25027
     25028
     25029if test "$dependency_linking" = yes; then
     25030  DEPENDENCY_LINKING_TRUE=
     25031  DEPENDENCY_LINKING_FALSE='#'
     25032else
     25033  DEPENDENCY_LINKING_TRUE='#'
     25034  DEPENDENCY_LINKING_FALSE=
     25035fi
     25036
    2514125037
    2514225038# Check if we want to set the library version
     
    2516225058
    2516325059lapack_source_files='dbdsqr.f dgebal.f dgebak.f dgebd2.f dgebrd.f dgeev.f dgehd2.f dgehrd.f dgelq2.f dgelqf.f dgels.f dgeqr2.f dgeqrf.f dgesvd.f dgesv.f dgetf2.f dgetrf.f dgetri.f dgetrs.f dggbak.f dggbal.f dgghrd.f dggev.f dhgeqz.f dhseqr.f disnan.f dlabad.f dlabrd.f dlacpy.f dladiv.f dlaebz.f dlae2.f dlaev2.f dlaexc.f dlagtf.f dlagts.f dlag2.f dlahqr.f dlahr2.f dlaisnan.f dlaln2.f dlaneg.f dlange.f dlanhs.f dlanst.f dlansy.f dlanv2.f dlapy2.f dlapy3.f dlaqr0.f dlaqr1.f dlaqr2.f dlaqr3.f dlaqr4.f dlaqr5.f dlarf.f dlarfb.f dlarfg.f
    25164 dlarft.f dlarfx.f dlarnv.f dlarra.f dlarrb.f dlarrc.f dlarrd.f dlarre.f dlarrf.f dlarrj.f dlarrk.f dlarrr.f dlarrv.f dlartg.f dlartv.f dlaruv.f dlar1v.f dlas2.f dlascl.f dlaset.f dlasq1.f dlasq2.f dlasq3.f dlasq4.f dlasq5.f dlasq6.f dlasr.f dlasrt.f dlaswp.f dlassq.f dlasv2.f dlasyf.f dlasy2.f dlatrd.f dorg2l.f dorg2r.f dorgbr.f dorghr.f dorglq.f dorgl2.f dorgql.f dorgqr.f dorgtr.f dorm2r.f dormbr.f dormhr.f dorml2.f dormlq.f dormql.f dormqr.f dormtr.f dorm2l.f dpotf2.f dpotrf.f dpotrs.f dstebz.f dstein.f dstemr.f dsteqr.f dsterf.f dsyev.f dsyevr.f dsyevx.f dsytd2.f dsytf2.f dsytrd.f dsytrf.f dsytri.f dtgevc.f dtrevc.f dtrexc.f dtrti2.f dtrtri.f dtrtrs.f ieeeck.f iladlc.f iladlr.f ilaenv.f iparmq.f sgetf2.f sgetrf.f slaswp.f zgetf2.f zgetrf.f zlacgv.f zlacpy.f zlaev2.f zlaswp.f zpotf2.f zrot.f zsymv.f zsyr.f zsytri.f'
     25060dlarft.f dlarfx.f dlarnv.f dlarra.f dlarrb.f dlarrc.f dlarrd.f dlarre.f dlarrf.f dlarrj.f dlarrk.f dlarrr.f dlarrv.f dlartg.f dlartv.f dlaruv.f dlar1v.f dlas2.f dlascl.f dlaset.f dlasq1.f dlasq2.f dlasq3.f dlasq4.f dlasq5.f dlasq6.f dlasr.f dlasrt.f dlaswp.f dlassq.f dlasv2.f dlasyf.f dlasy2.f dlatrd.f dorg2l.f dorg2r.f dorgbr.f dorghr.f dorglq.f dorgl2.f dorgql.f dorgqr.f dorgtr.f dorm2r.f dormbr.f dormhr.f dorml2.f dormlq.f dormql.f dormqr.f dormtr.f dorm2l.f dpotf2.f dpotrf.f dpotrs.f dppsv.f dpptrf.f dpptrs.f dstebz.f dstein.f
     25061dstemr.f dsteqr.f dsterf.f dsyev.f dsyevr.f dsyevx.f dsytd2.f dsytf2.f dsytrd.f dsytrf.f dsytri.f dtgevc.f dtrevc.f dtrexc.f dtrti2.f dtrtri.f dtrtrs.f ieeeck.f iladlc.f iladlr.f ilaenv.f iparmq.f sgetf2.f sgetrf.f slaswp.f zgetf2.f zgetrf.f zlacgv.f zlacpy.f zlaev2.f zlaswp.f zpotf2.f zrot.f zsymv.f zsyr.f zsytri.f'
    2516525062for file in $lapack_source_files; do
    2516625063            ac_config_links="$ac_config_links $file:LAPACK/SRC/$file"
     
    2518325080echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2518425081coin_link_input_cmd="$LN_S"
    25185 if test "$enable_doscompile" = mingw; then
    25186   coin_link_input_cmd=cp
    25187 fi
    2518825082case "$CC" in
    2518925083  clang* ) ;;
     
    2544425338Usually this means the macro was only invoked conditionally." >&5
    2544525339echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     25340Usually this means the macro was only invoked conditionally." >&2;}
     25341   { (exit 1); exit 1; }; }
     25342fi
     25343if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     25344  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     25345Usually this means the macro was only invoked conditionally." >&5
     25346echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2544625347Usually this means the macro was only invoked conditionally." >&2;}
    2544725348   { (exit 1); exit 1; }; }
     
    2610326004s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2610426005s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     26006s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     26007s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2610526008s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2610626009s,@LIBEXT@,$LIBEXT,;t t
Note: See TracChangeset for help on using the changeset viewer.